ioZen Docs
GET
/webhooks/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key authentication. Pass your ioZen API key as a Bearer token in the Authorization header.

Path Parameters

id*string

Webhook endpoint ID

Response Body

Successful response

application/json
  1. response
success*true
Value intrue
data*
Example Request
curl -X GET 'https://app.iozen.ai/api/v1/webhooks/cm7abc12x0001yz9k8mno3pqr'
Example Response
{  "success": true,  "data": {    "webhook": {      "id": "cm7wh01a0001yz9k8mno3pqr",      "url": "https://api.example.com/webhooks/iozen",      "events": [        "submission.completed"      ],      "status": "active",      "description": "Production submission handler",      "intake_bot_ids": [],      "last_delivery_at": "2026-02-24T16:30:00.000Z",      "last_delivery_ok": true,      "consecutive_fails": 0,      "created_at": "2026-02-01T09:00:00.000Z",      "updated_at": "2026-02-24T16:30:00.000Z"    }  }}